Subject: [bug#59322] [PATCH v2 0/4] gnu: racket: Update to 8.7.

From: Philip McGrath <[email-masked]>
Date: Thu, 17 Nov 2022 19:45:29 -0500

Hi,

Here's a v2 reflecting your comments.

On Thursday, November 17, 2022 2:30:22 AM EST Liliana Marie Prikler wrote:
> Am Mittwoch, dem 16.11.2022 um 16:39 -0500 schrieb Philip McGrath:
> > * gnu/local.mk (dist_patch_DATA): Update accordingly.
> 
> This update seems non-complete – where the other backports previously
> missing from our dist_patch_DATA?
>

Yes: they were in dist_patch_DATA in the first series I sent
at <https://issues.guix.gnu.org/57050>, but it looks like I must have missed
them while rebasing and splitting the patches. At any rate, commit
9647296ce618fbc79026534c3fafb1a538612697 doesn't change gnu/local.mk at all,
despite what its commit log says.

I've explained briefly in the new commit message.

> > * gnu/packages/racket.scm (%racket-origin)[patches]: Likewise.
> > (%racket-version): Update to 8.7.
> > (racket)[inputs]: Add 'scheme-doc' source package from '%racket-
> > origin'.
> > (racket)[inputs]<compatibility, db, deinprogramm, draw, drracket,
> > eopl,
> > errortrace, gui, htdp, mzscheme, parser-tools, pict, plai, plot,
> > r6rs,
> > redex, scribble, slideshow, snip, typed-racket, srfi, string-
> 
> > constants>:
> Use proper ChangeLog formatting, i.e. <compatibility,... drracket>
> <eopl, errortrace, ...plot>
> ...
> Pardon the potential off-by-one error due to the added quote columns.
>

I hope I've now done this in the style you want. The style at linebreaks
doesn't seem to have been entirely consistent among Guix commits.

> > Update checksums.
> > * gnu/packages/chez.scm (target-chez-arch): Support riscv64-linux-
> > gnu.
> > (%chez-features-table): Likewise.
> > (chez-scheme-for-racket): Update to 9.5.9.8.
> > [arguments]: Enable tests.
> > [description]: Update.
> > (chez-scheme-for-racket-bootstrap-bootfiles)[arguments]: Update path
> > to
> > 'rktboot'.
> 
> I suggest splitting this into two or three commits, where
> (1. Update Chez scheme)
> 2. Update Racket with all the patches and checksums.
> 3. Update feature tables.
> 
> IIRC 1 and 2 share the definition of Racket origin, so it might not be
> possible to split them, but it is definitely not necessary to enable
> further arches that hitherto didn't work "in one go".

I have split out the riscv64 support as you suggested.

 -Philip

Philip McGrath (4):
  gnu: racket: Update to 8.7.
  gnu: chez-scheme-for-racket: Support riscv64.
  gnu: racket-vm-cs: Avoid duplicate work.
  etc: teams: Add chez.scm to Racket team's scope.

 etc/teams.scm.in                              |   3 +-
 gnu/local.mk                                  |   2 +-
 gnu/packages/chez.scm                         |  21 +-
 .../racket-backport-8.6-cross-install.patch   | 126 ----
 .../racket-backport-8.6-docindex-write.patch  |  36 --
 .../patches/racket-backport-8.6-hurd.patch    | 609 ------------------
 .../patches/racket-backport-8.6-zuo.patch     | 481 --------------
 .../racket-backport-8.7-pkg-strip.patch       |  90 +++
 gnu/packages/racket.scm                       |  60 +-
 9 files changed, 130 insertions(+), 1298 deletions(-)
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-cross-install.patch
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-docindex-write.patch
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-hurd.patch
 delete mode 100644 gnu/packages/patches/racket-backport-8.6-zuo.patch
 create mode 100644 gnu/packages/patches/racket-backport-8.7-pkg-strip.patch

base-commit: 83c9e00ffbd41776c003f6992e9d613a5434fff9
-- 
2.38.0